# Time-stamp: <modified the 21/01/2023 (at 11:41) by Erwan Jahier>


sasa=$(DIR)/bin/sasa -l 100

DECO_PATTERN="0-:p.ml"
-include ./Makefile.dot
-include ./Makefile.inc
-include Makefile.untracked

##############################################################################
# Non-regression tests

test: ring.gm_test grid4.gm_test lurette grid4.rdbg-test clean

utest:
	make ring.ugm_test || echo "grid4 ok"
	make grid4.ugm_test || echo "grid4 ok"

lurette: ring.cmxs ring_oracle.lus
	lurette --sasa -o lurette-ring.rif \
                -sut "sasa  ring.dot -rif -lcd -seed 42" \
		-oracle "lv6 ring_oracle.lus -n oracle -exec"
clean: genclean
	rm -f ring.lut ring.ml ring_oracle.ml


##############################################################################
# Other examples of use

sim2chrogtk: coloring.rif
	sim2chrogtk -screenrealheight 2000 -ecran -in $< > /dev/null

gnuplot: coloring.rif
	gnuplot-rif $<

# do not work with ocaml >3.08
rdbg-lurette: ring.cmxs ring_oracle.lus
	rdbg -lurette --sasa -o lurette-ring.rif \
      -sut "sasa  ring.dot -rif -lcd " \
		-oracle "lv6 ring_oracle.lus -n oracle -exec"


test100:
	for i in $$(seq 100); do make lurette && make clean; done
